Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.javadoc
Class Javadoc

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.tasks.javadoc.Javadoc

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable

    public class Javadoc

extends SourceTask

Generates Javadoc from Java source.

Field Summary

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`Javadoc()`

Method Summary
`protected void` | `generate()`
`FileCollection` | `getClasspath()`
`java.io.File` | `getDestinationDir()` Returns the directory to generate the documentation into.
`java.lang.String` | `getMaxMemory()` Returns the amount of memory allocated to this task.
`MinimalJavadocOptions` | `getOptions()`
`java.io.File` | `getOptionsFile()`
`java.lang.String` | `getTitle()` Returns the title for the generated documentation.
`boolean` | `isFailOnError()`
`boolean` | `isVerbose()` Returns whether javadoc generation is accompanied by verbose output.
`void` | `setClasspath(FileCollection configuration)`
`void` | `setDestinationDir(java.io.File destinationDir)` Sets the directory to generate the documentation into.
`void` | `setFailOnError(boolean failOnError)`
`void` | `setMaxMemory(java.lang.String maxMemory)` Sets the amount of memory allocated to this task.
`void` | `setOptions(MinimalJavadocOptions options)`
`void` | `setOptionsFile(java.io.File optionsFile)`
`void` | `setTitle(java.lang.String title)` Sets the title for the generated documentation.
`void` | `setVerbose(boolean verbose)` Sets whether javadoc generation is accompanied by verbose output or not.

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getOutput, getPath, getProject, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, injectIntoNextInstance, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setOutputHandler, setProject, setProperty, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

Constructor Detail

### Javadoc

    public Javadoc()

Method Detail

### generate

    protected void generate()

### getDestinationDir

    public java.io.File getDestinationDir()

  Returns the directory to generate the documentation into.

  Returns:
    The directory.

### setDestinationDir

    public void setDestinationDir(java.io.File destinationDir)

  Sets the directory to generate the documentation into.

### getMaxMemory

    public java.lang.String getMaxMemory()

  Returns the amount of memory allocated to this task.

### setMaxMemory

    public void setMaxMemory(java.lang.String maxMemory)

  Sets the amount of memory allocated to this task.

  Parameters:
    `maxMemory` - The amount of memory

### getTitle

    public java.lang.String getTitle()

  Returns the title for the generated documentation.

  Returns:
    The title, possibly null.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title for the generated documentation.

### isVerbose

    public boolean isVerbose()

  Returns whether javadoc generation is accompanied by verbose output.

  See Also:
    `setVerbose(boolean)`

### setVerbose

    public void setVerbose(boolean verbose)

  Sets whether javadoc generation is accompanied by verbose output or not. The verbose output is done via println (by the underlying ant task). Thus it is not catched by our logging.

  Parameters:
    `verbose` - Whether the output should be verbose.

### getClasspath

    public FileCollection getClasspath()

### setClasspath

    public void setClasspath(FileCollection configuration)

### getOptions

    public MinimalJavadocOptions getOptions()

### setOptions

    public void setOptions(MinimalJavadocOptions options)

### isFailOnError

    public boolean isFailOnError()

### setFailOnError

    public void setFailOnError(boolean failOnError)

### getOptionsFile

    public java.io.File getOptionsFile()

### setOptionsFile

    public void setOptionsFile(java.io.File optionsFile)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD